Bug 1290545 - JIRA External Tracker hard coded to JBoss Jira
JIRA External Tracker hard coded to JBoss Jira
Status: NEW
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
5.0
Unspecified Unspecified
unspecified Severity low (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
: Reopened
: 1324705 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 13:42 EST by Eric Towns
Modified: 2016-12-13 18:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 21:58:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
image of current behavior (42.84 KB, image/png)
2015-12-10 13:42 EST, Eric Towns
no flags Details

  None (edit)
Description Eric Towns 2015-12-10 13:42:11 EST
Created attachment 1104486 [details]
image of current behavior

Description of problem:
The External Tracker field on bugs for "PnT-DevOps Jira" [1] seems to be expecting an integer input, however our Jira IDs are alphanumeric.  This means we can't use the External Tracker field to link these Jiras. 

[1] base URL: https://projects.engineering.redhat.com/browse/


Steps to Reproduce:
1. On a BZ, select External Tracker = "PnT-DevOps Jira"
2. Enter a valid Jira number, e.g. "CPSTRATA-341"
3. Save

Actual results:
Error: "External bug id should be a number"

Expected results:
accept alphanumeric input for this particular tracker. [2] 



Additional info:

[1] base URL: https://projects.engineering.redhat.com/browse/
[2] which would build a valid URL like this: https://projects.engineering.redhat.com/browse/CPSTRATA-341
Comment 1 Muhammad Tahir 2015-12-10 21:58:34 EST
This has been fixed according to the SA comment in linked RT.
Comment 2 Eric Towns 2015-12-11 10:48:32 EST
This is not fixed.
Comment 3 Eric Towns 2015-12-11 10:49:57 EST
URL for that request tracker?
Comment 4 Jeff Fearn 2015-12-13 17:03:50 EST
(In reply to Eric Towns from comment #3)
> URL for that request tracker?

The link is in the "External Trackers" box above the first comment.
Comment 5 Jeff Fearn 2016-02-01 18:05:02 EST
The problem here was that it was set to number not JIRA Issue, however changing it to JIRA Issue reveals another bug.

JIRA Issue is actually JBoss Issue and the code attempts to validate any JIRA against the JBoss Jira.

The JIRA code needs ot be fixed to use the supplied URL and honor the can_get, can_send, must_send, and send_once flags.
Comment 6 Jeff Fearn 2016-02-04 19:37:03 EST
Hi Eric, I had the settings changed so this now works, but I'll keep this bug opened as the settings are confusing due to incorrect naming, so we will need to fix that.
Comment 7 Jeff Fearn 2016-04-10 18:09:28 EDT
*** Bug 1324705 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.